import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SharedModule } from '@shared/shared.module';
import { IBizComponentsModule } from '@ibizsys/components/ibiz-components.module';
import { UserModule } from '@user/user.module';
<#-- 判断是否为动态视图，是动态视图时添加动态组件模块 -->
<#if view.isDynamicView() == true>
import { DynamicComponentsModule } from '@ibizsys/dynamic-components/dynamic-components.module';
</#if>
import { ${view.codeName}Component } from './${viewname}';
<#if (view.getOpenMode()?? && view.getOpenMode() = 'POPUPMODAL')>
import { ${view.codeName}ModalService } from './${viewname}-modalservice';
</#if>
<#--  视图关联视图（包括非路由视图和模态框视图）  -->
<#list refviews as refview>
import { ${refview.codeName}Module } from '@pages/${ngfilename('${refview.getPSAppModule().codeName}')}/${ngfilename('${refview.codeName}')}/${ngfilename('${refview.codeName}')}.module';
</#list>


@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    IBizComponentsModule,
    UserModule,
    <#if view.isDynamicView() == true>
    DynamicComponentsModule,
    </#if>
    <#list refviews as refview>
    ${refview.codeName}Module,
    </#list>
  ],
  exports: [
    ${view.codeName}Component
  ],
  declarations: [
    ${view.codeName}Component,
  ],
  entryComponents: [
    <#if (view.getOpenMode()?? && view.getOpenMode() == 'POPUPMODAL')>
    ${view.codeName}Component,
    </#if>
  ],
  providers: [
    <#if (view.getOpenMode()?? && view.getOpenMode() == 'POPUPMODAL')>
    ${view.codeName}ModalService
    </#if>
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class ${view.codeName}Module { }