import { Injectable } from '@angular/core';
import { NzModalService, NzModalSubject } from 'ng-zorro-antd';
import { IBizModalService } from '@ibizsys/util/IBizModalService';
import { IBizNotification } from '@ibizsys/util/IBizNotification';
import { ${view.codeName}Component } from './${viewname}';

/**
 * 视图模态框服务对象
 * 
 * @export
 * @class ${view.codeName}ModalService
 * @extends {IBizModalService}
 */
@Injectable()
export class ${view.codeName}ModalService extends IBizModalService {

    /**
     * Creates an instance of ${view.codeName}ModalService.
     * 创建 ${view.codeName}ModalService 实例
     * 
     * @param {NzModalService} modal 
     * @param {NzModalSubject} modalSubject 
     * @param {IBizNotification} notification 
     * @memberof IBZ5CustomerPickupViewModalService
     */
    constructor(private modal: NzModalService, private modalSubject: NzModalSubject, private notification: IBizNotification) {
        super({ modalCtrl: modal, modalSubjectCtrl: modalSubject, notification: notification });
    }


    /**
     * 获取模态框参数
     * 
     * @param {*} [opt={}] 
     * @returns {*} 
     * @memberof ${view.codeName}ModalService
     */
    public getModalParam(opt: any = {}): any {
        return super.getModalParam(opt, {
            content: ${view.codeName}Component,
            wrapClassName: 'ibiz_wrap_modal',
            footer: false,
            maskClosable: false,
            width: ${view.getWidth()?c}
        });
    }

    /**
     * 视图打开模式
     * 
     * @returns {string} 
     * @memberof ${view.codeName}ModalService
     */
    public viewOpenMode(): string {
        return '<#if view.isPickupView()>POPUPMODAL<#else>${view.getOpenMode()}</#if>';
    }
}