<#ibiztemplate>
PUBOBJ=Angular.PSAngularAppCreateAppBat
TARGET=PSSYSAPP
</#ibiztemplate>
import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { Routes, RouterModule } from '@angular/router';
import { environment } from '@env/environment';
// layout
import { LayoutDefaultComponent } from 'app/layout/default/default.component';
import { LayoutFullScreenComponent } from 'app/layout/fullscreen/fullscreen.component';
import { LayoutPassportComponent } from 'app/layout/passport/passport.component';
// dashboard pages
import { UserLoginComponent } from 'app/core/passport/login/login.component';
import { UserRegisterComponent } from 'app/core/passport/register/register.component';
import { AuthGuard } from '@core/auth-guard.service';

const routes: Routes = [
    {
        path: '',
        component: LayoutDefaultComponent,
        children: [
            <#list app.getAllPSAppViews() as view>
            <#if view.getViewType() == 'APPINDEXVIEW'>
            <#if view.isDefaultPage()>
            {
                path: '',
                redirectTo: '${view.getCodeName()?lower_case}',
                pathMatch: 'full'
            },
            {
                path: '${view.getCodeName()?lower_case}',
                canActivate: [AuthGuard],
                loadChildren: 'app/pages/${ngfilename('${view.getPSAppModule().codeName}')}/${ngfilename('${view.codeName}')}/${ngfilename('${view.codeName}')}shell.module#${view.codeName}shellModule',
                data: { backendurl: '/${app.getAppFolder()}/${view.getPSAppModule().codeName}/${view.codeName}.do', fullcaption: '<#if view.getCaption() != ''>${view.getCaption()}<#else>未命名</#if>', caption: '<#if view.getCaption() != ''>${view.getCaption()}<#else>未命名</#if>', view: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}', routerlink: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}', showcaption: false }
            },
            </#if>
            </#if>
            <#if view.getViewType() == 'APPPORTALVIEW'>
            <#if view.isDefaultPage()>
            {
                path: '${view.getCodeName()?lower_case}',
                canActivate: [AuthGuard],
                loadChildren: 'app/pages/${ngfilename('${view.getPSAppModule().codeName}')}/${ngfilename('${view.codeName}')}/${ngfilename('${view.codeName}')}shell.module#${view.codeName}shellModule',
                data: { backendurl: '/${app.getAppFolder()}/${view.getPSAppModule().codeName}/${view.codeName}.do', fullcaption: '<#if view.getCaption() != ''>${view.getCaption()}<#else>未命名</#if>', caption: '<#if view.getCaption() != ''>${view.getCaption()}<#else>未命名</#if>', view: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}', routerlink: '${view.getPSAppModule().codeName?lower_case}_${view.codeName?lower_case}', showcaption: true }
            },
            </#if>
            </#if>
            </#list>
        ]
    },
    // 全屏布局
    {
        path: 'data-v',
        component: LayoutFullScreenComponent,
        children: [
            <#if app.getAllPSAppViews()??>
            <#list app.getAllPSAppViews() as funcview>
            <#if funcview.getOpenMode()?? && (funcview.getOpenMode() == 'POPUPAPP')>
            {
                path: '${funcview.getPSAppModule().codeName?lower_case}_${funcview.codeName?lower_case}',
                canActivate: [AuthGuard],
                loadChildren: 'app/pages/${ngfilename('${funcview.getPSAppModule().codeName}')}/${ngfilename('${funcview.codeName}')}/${ngfilename('${funcview.codeName}')}shell.module#${funcview.codeName}shellModule',
                data: { backendurl: '/${app.getAppFolder()}/${funcview.getPSAppModule().codeName}/${funcview.codeName}.do', fullcaption: '<#if funcview.getCaption() != ''>${funcview.getCaption()}<#else>未命名</#if>', caption: '<#if funcview.getCaption() != ''>${funcview.getCaption()}<#else>未命名</#if>', view: '${funcview.getPSAppModule().codeName?lower_case}_${funcview.codeName?lower_case}', routerlink: '${funcview.getPSAppModule().codeName?lower_case}_${funcview.codeName?lower_case}', showcaption: true }
            },
            </#if>
            </#list>
            </#if>
        ]
    },
    // passport
    {
        path: 'passport',
        component: LayoutPassportComponent,
        children: [
            { path: 'login', component: UserLoginComponent },
            { path: 'register', component: UserRegisterComponent },
            // { path: 'register-result', component: UserRegisterResultComponent }
        ]
    },
    // 单页不包裹Layout
    // { path: 'callback/:type', component: CallbackComponent },
    // { path: '403', component: Exception403Component },
    // { path: '404', component: Exception404Component },
    // { path: '500', component: Exception500Component },
    { path: '**', redirectTo: '', pathMatch: 'full' }
];

@NgModule({
    imports: [ SharedModule, RouterModule.forRoot(routes, { useHash: environment.useHash }) ],
    declarations: [
        UserLoginComponent,
        UserRegisterComponent
    ]
})
export class RouteRoutingModule {}