<#ibiztemplate>
PUBOBJ=Angular.PSAngularAppCreateAppBat
TARGET=PSSYSAPP
</#ibiztemplate>
import { Injectable, Inject } from '@angular/core';
import { SettingsService, TitleService } from '@delon/theme';
import { I18NService } from '../i18n/i18n.service';
import { TranslateService } from '@ngx-translate/core';
import { ITokenService, DA_SERVICE_TOKEN } from '@delon/auth';

/**
 * 用于应用启动时
 * 一般用来获取应用所需要的基础数据等
 */
@Injectable()
export class StartupService {
    constructor(
        private translate: TranslateService,
        private i18n: I18NService,
        private settingService: SettingsService,
        private titleService: TitleService,
        @Inject(DA_SERVICE_TOKEN) private tokenService: ITokenService
    ) { }

    load(): Promise<any> {
        // only works with promises
        // https://github.com/angular/angular/issues/15088
        return new Promise((resolve, reject) => {

            // 应用信息：包括站点名、描述、年份
            this.settingService.setApp({ name: '${app.getName()}', description: '${app.getMemo()}' });

            // 设置页面标题的后缀
            this.titleService.suffix = '${app.getName()}';

            // 用户信息：包括姓名、头像、邮箱地址
            // 用户信息：包括姓名、头像、邮箱地址
            const userInfo: any = Object.assign({
                token: '',
                name: '',
                email: '',
                id: '',
                time: +new Date
            }, this.tokenService.get());
            this.settingService.setUser(userInfo);

            resolve(null);
        });
    }
}